Package org.eclipse.ecf.provider.filetransfer.outgoing

# Class LocalFileOutgoingFileTransfer

java.lang.Object
org.eclipse.ecf.provider.filetransfer.outgoing.AbstractOutgoingFileTransfer
org.eclipse.ecf.provider.filetransfer.outgoing.LocalFileOutgoingFileTransfer

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IIdentifiable`, `IFileTransfer`, `IOutgoingFileTransfer`, `ISendFileTransferContainerAdapter`, `ISendFileTransfer`

public class LocalFileOutgoingFileTransfer extends AbstractOutgoingFileTransfer

## Field Summary

### Fields inherited from class org.eclipse.ecf.provider.filetransfer.outgoing.AbstractOutgoingFileTransfer

`buff_length, bytesSent, connectContext, DEFAULT_BUF_LENGTH, done, exception, fileTransferInfo, job, listener, localFileContents, options, proxy, remoteFileContents, remoteFileID, remoteFileURL`

## Constructor Summary

Constructors
Constructor
Description
`LocalFileOutgoingFileTransfer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`openStreams()`
Open incoming and outgoing streams associated with this file transfer.
`protected void`
`setupProxy(Proxy proxy)`

### Methods inherited from class org.eclipse.ecf.provider.filetransfer.outgoing.AbstractOutgoingFileTransfer

`addListener, cancel, createJobName, fireSendStartEvent, fireTransferSendDataEvent, fireTransferSendDoneEvent, getAdapter, getBytesSent, getException, getFileLength, getFileTransferInfo, getFinalStatus, getID, getListener, getOptions, getOutgoingNamespace, getPercentComplete, getRemoteFileURL, hardClose, isDone, removeListener, selectProxyFromProxies, sendOutgoingRequest, sendOutgoingRequest, setConnectContextForAuthentication, setInputStream, setOutputStream, setProxy, setupAndScheduleJob, setupProxies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalFileOutgoingFileTransfer

public LocalFileOutgoingFileTransfer()

## Method Details

### openStreams

protected void openStreams() throws SendFileTransferException
Description copied from class: `AbstractOutgoingFileTransfer`
Open incoming and outgoing streams associated with this file transfer. Subclasses must implement this method to open input and output streams. The `remoteFileContents` and `localFileContent` must be non-`null` after successful completion of the implementation of this method.

Specified by:
  `openStreams` in class `AbstractOutgoingFileTransfer`
Throws:
  `SendFileTransferException` - if some problem

### setupProxy

protected void setupProxy(Proxy proxy)

Specified by:
  `setupProxy` in class `AbstractOutgoingFileTransfer`